## haskell-zeromq4-haskell 0.7.0

=== examples/perf/Makefile ===
all: lat thr

lat: local_lat.hs remote_lat.hs
	ghc --make -threaded local_lat.hs
	ghc --make -threaded remote_lat.hs

thr: local_thr.hs remote_thr.hs
	ghc --make -threaded local_thr.hs
	ghc --make -threaded remote_thr.hs

.PHONY: clean
clean:
	-rm -f *.o *.hi
	-rm -f local_lat remote_lat local_thr remote_thr

## haskell-zeromq4-haskell 0.6

=== debian/changelog ===
haskell-zeromq4-haskell (0.6-1) unstable; urgency=medium

  * New upstream version.

 -- Colin Watson <cjwatson@debian.org>  Mon, 16 Jun 2014 11:56:40 +0100

haskell-zeromq4-haskell (0.4.1-1) unstable; urgency=low

  * Adjust watch file to new hackage layout
  * New upstream release, with changed source package name

 -- Joachim Breitner <nomeata@debian.org>  Fri, 04 Apr 2014 09:49:02 +0200

haskell-zeromq3-haskell (0.4-1) unstable; urgency=low

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Sun, 30 Jun 2013 12:40:15 -0400

haskell-zeromq3-haskell (0.3.1-1) unstable; urgency=low

  * Initial release.

 -- Clint Adams <clint@debian.org>  Mon, 10 Jun 2013 19:52:43 -0400

=== debian/control ===
Source: haskell-zeromq4-haskell
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Clint Adams <clint@debian.org>
Build-Depends: debhelper (>= 9)
  , cdbs
  , haskell-devscripts (>= 0.8.15)
  , ghc
  , ghc-prof
  , libghc-async-dev (>= 2.0)
  , libghc-async-dev (<< 2.1)
  , libghc-async-prof
  , libghc-exceptions-dev (>= 0.6)
  , libghc-exceptions-dev (<< 0.7)
  , libghc-exceptions-prof
  , libghc-semigroups-dev (>= 0.8)
  , libghc-semigroups-prof
  , libghc-transformers-dev (>= 0.3)
  , libghc-transformers-prof
  , libzmq3-dev (>= 4)
  , pkg-config
#  , libghc-quickcheck2-dev (>> 2.6)
#  , libghc-checkers-dev (>> 0.3)
#  , libghc-ansi-terminal-dev (>> 0.6)
Build-Depends-Indep: ghc-doc
  , libghc-async-doc
  , libghc-exceptions-doc
  , libghc-semigroups-doc
  , libghc-transformers-doc
Standards-Version: 3.9.4
Homepage: http://hackage.haskell.org/package/zeromq4-haskell
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-zeromq4-haskell
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-zeromq4-haskell
X-Description: bindings to ZeroMQ 4.x
 The 0MQ lightweight messaging kernel is a library which extends the standard
 socket interfaces with features traditionally provided by specialised
 messaging middleware products.
 .
 0MQ sockets provide an abstraction of asynchronous message queues, multiple
 messaging patterns, message filtering (subscriptions), seamless access to
 multiple transport protocols and more.

Package: libghc-zeromq4-haskell-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
  , libzmq3-dev (>= 4)
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-zeromq4-haskell-prof
Architecture: any
Depends: ${haskell:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-zeromq4-haskell-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

## haskell-zeromq4-haskell 0.6.3

=== debian/changelog ===
haskell-zeromq4-haskell (0.6.3-2build3) wily; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 04 Jul 2015 11:43:10 +0100

haskell-zeromq4-haskell (0.6.3-2build2) wily; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 18 Jun 2015 11:17:38 +0100

haskell-zeromq4-haskell (0.6.3-2build1) wily; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Jun 2015 17:05:36 +0100

haskell-zeromq4-haskell (0.6.3-2) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:55:42 +0200

haskell-zeromq4-haskell (0.6.3-1) experimental; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Thu, 16 Apr 2015 15:26:48 +0200

haskell-zeromq4-haskell (0.6-2) experimental; urgency=medium

  * Depend on haskell-devscripts 0.9, found in experimental
  * Do not depend on transformers, which now comes with GHC

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 20:32:23 +0100

=== debian/control ===
--- 
+++ 
@@ -5,19 +5,17 @@
 Uploaders: Clint Adams <clint@debian.org>
 Build-Depends: debhelper (>= 9)
   , cdbs
-  , haskell-devscripts (>= 0.8.15)
+  , haskell-devscripts (>= 0.9)
   , ghc
   , ghc-prof
   , libghc-async-dev (>= 2.0)
   , libghc-async-dev (<< 2.1)
   , libghc-async-prof
   , libghc-exceptions-dev (>= 0.6)
-  , libghc-exceptions-dev (<< 0.7)
+  , libghc-exceptions-dev (<< 1.0)
   , libghc-exceptions-prof
   , libghc-semigroups-dev (>= 0.8)
   , libghc-semigroups-prof
-  , libghc-transformers-dev (>= 0.3)
-  , libghc-transformers-prof
   , libzmq3-dev (>= 4)
   , pkg-config
 #  , libghc-quickcheck2-dev (>> 2.6)
@@ -27,7 +25,6 @@
   , libghc-async-doc
   , libghc-exceptions-doc
   , libghc-semigroups-doc
-  , libghc-transformers-doc
 Standards-Version: 3.9.4
 Homepage: http://hackage.haskell.org/package/zeromq4-haskell
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-zeromq4-haskell

## haskell-zeromq4-haskell 0.6.4

=== debian/changelog ===
haskell-zeromq4-haskell (0.6.4-1build2) xenial; urgency=medium

  * No-change rebuild for zeromq3 transition.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Mar 2016 19:20:46 +0000

haskell-zeromq4-haskell (0.6.4-1build1) xenial; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 13 Jan 2016 11:11:42 +0000

haskell-zeromq4-haskell (0.6.4-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 11 Jan 2016 00:11:54 -0500

haskell-zeromq4-haskell (0.6.3-4) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:55:20 -0500

haskell-zeromq4-haskell (0.6.3-3) experimental; urgency=medium

  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:29:10 +0200

=== debian/control ===
Source: haskell-zeromq4-haskell
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Clint Adams <clint@debian.org>
Priority: extra
Section: haskell
Build-Depends: debhelper (>= 9),
 haskell-devscripts (>= 0.10),
 cdbs,
 ghc,
 ghc-prof,
 libghc-async-dev (>= 2.0),
 libghc-async-dev (<< 3.0),
 libghc-async-prof,
 libghc-exceptions-dev (>= 0.6),
 libghc-exceptions-dev (<< 1.0),
 libghc-exceptions-prof,
 libghc-semigroups-dev (>= 0.8),
 libghc-semigroups-prof,
 libzmq3-dev (>= 4),
 pkg-config,
Build-Depends-Indep: ghc-doc,
 libghc-async-doc,
 libghc-exceptions-doc,
 libghc-semigroups-doc,
Standards-Version: 3.9.6
Homepage: http://github.com/twittner/zeromq-haskell/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git
X-Description: bindings to ZeroMQ 4.x
 The 0MQ lightweight messaging kernel is a library which extends the standard
 socket interfaces with features traditionally provided by specialised
 messaging middleware products.
 .
 0MQ sockets provide an abstraction of asynchronous message queues, multiple
 messaging patterns, message filtering (subscriptions), seamless access to
 multiple transport protocols and more.

Package: libghc-zeromq4-haskell-dev
Architecture: any
Depends: ${haskell:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 libzmq3-dev (>= 4),
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-zeromq4-haskell-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-zeromq4-haskell-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
 ${haskell:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

=== debian/watch ===
version=3
http://hackage.haskell.org/package/zeromq4-haskell/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-zeromq4-haskell 0.6.5

=== debian/changelog ===
haskell-zeromq4-haskell (0.6.5-5) unstable; urgency=medium

  * Delete alignment definition and just use hsc2hs's.

 -- Clint Adams <clint@debian.org>  Fri, 11 Nov 2016 23:06:26 -0500

haskell-zeromq4-haskell (0.6.5-4) unstable; urgency=medium

  * Rename alignment definition to not conflict with hsc2hs's.

 -- Clint Adams <clint@debian.org>  Fri, 11 Nov 2016 22:34:02 -0500

haskell-zeromq4-haskell (0.6.5-3) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:37:14 -0400

haskell-zeromq4-haskell (0.6.5-2) experimental; urgency=medium

  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Mon, 17 Oct 2016 12:02:23 -0400

haskell-zeromq4-haskell (0.6.5-1) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)

  [ Joachim Breitner ]
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 30 May 2016 17:20:39 +0200

=== debian/control ===
Source: haskell-zeromq4-haskell
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 Clint Adams <clint@debian.org>,
Priority: extra
Section: haskell
Build-Depends:
 cdbs,
 debhelper (>= 9),
 ghc (>= 8),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libghc-async-dev (<< 3.0),
 libghc-async-dev (>= 2.0),
 libghc-async-prof,
 libghc-exceptions-dev (<< 1.0),
 libghc-exceptions-dev (>= 0.6),
 libghc-exceptions-prof,
 libghc-monad-control-dev (>= 1.0),
 libghc-monad-control-prof,
 libghc-semigroups-dev (>= 0.8),
 libghc-semigroups-prof,
 libghc-transformers-base-dev (>= 0.4),
 libghc-transformers-base-prof,
 libzmq3-dev (>= 4),
 pkg-config,
Build-Depends-Indep:
 ghc-doc,
 libghc-async-doc,
 libghc-exceptions-doc,
 libghc-monad-control-doc,
 libghc-semigroups-doc,
 libghc-transformers-base-doc,
Standards-Version: 3.9.8
Homepage: https://gitlab.com/twittner/zeromq-haskell/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-zeromq4-haskell
Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
X-Description: bindings to ZeroMQ 4.x
 The 0MQ lightweight messaging kernel is a library which extends the standard
 socket interfaces with features traditionally provided by specialised
 messaging middleware products.
 .
 0MQ sockets provide an abstraction of asynchronous message queues, multiple
 messaging patterns, message filtering (subscriptions), seamless access to
 multiple transport protocols and more.

Package: libghc-zeromq4-haskell-dev
Architecture: any
Depends:
 libzmq3-dev (>= 4),
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-zeromq4-haskell-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-zeromq4-haskell-doc
Architecture: all
Section: doc
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

## haskell-zeromq4-haskell 0.6.7

=== debian/changelog ===
haskell-zeromq4-haskell (0.6.7-1build5) bionic; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 30 Dec 2017 16:31:05 +0100

haskell-zeromq4-haskell (0.6.7-1build4) bionic; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 30 Dec 2017 12:00:08 +0100

haskell-zeromq4-haskell (0.6.7-1build3) bionic; urgency=medium

  * No-change rebuild against libghc-monad-control-dev-1.0.2.2-548a1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 04 Nov 2017 01:02:50 +0000

haskell-zeromq4-haskell (0.6.7-1build2) artful; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 19 Jul 2017 18:27:53 +0200

haskell-zeromq4-haskell (0.6.7-1build1) artful; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 10 Jul 2017 12:33:57 +0200

haskell-zeromq4-haskell (0.6.7-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Thu, 06 Jul 2017 17:48:04 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: haskell-zeromq4-haskell
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Clint Adams <clint@debian.org>,
 Priority: extra

## haskell-zeromq4-haskell 0.7.0

=== debian/changelog ===
haskell-zeromq4-haskell (0.7.0-2build1) eoan; urgency=medium

  * Rebuild against new GHC abi.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 08 Aug 2019 13:50:58 +0200

haskell-zeromq4-haskell (0.7.0-2) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

  [ Ilias Tsitsimpis ]
  * Bump debhelper compat level to 10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 21:26:46 +0300

haskell-zeromq4-haskell (0.7.0-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.
  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 17:42:10 -0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: haskell-zeromq4-haskell
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Clint Adams <clint@debian.org>,
-Priority: extra
+Priority: optional
 Section: haskell
+Rules-Requires-Root: no
 Build-Depends:
  cdbs,
- debhelper (>= 9),
+ debhelper (>= 10),
  ghc (>= 8),
  ghc-prof,
  haskell-devscripts (>= 0.13),
@@ -32,10 +32,10 @@
  libghc-monad-control-doc,
  libghc-semigroups-doc,
  libghc-transformers-base-doc,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Homepage: https://gitlab.com/twittner/zeromq-haskell/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-zeromq4-haskell
-Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
+Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-zeromq4-haskell
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-zeromq4-haskell]
 X-Description: bindings to ZeroMQ 4.x
  The 0MQ lightweight messaging kernel is a library which extends the standard
  socket interfaces with features traditionally provided by specialised

## haskell-zeromq4-haskell 0.8.0

=== examples/Makefile ===
all: chat

chat: display.hs prompt.hs
	cabal exec ghc -- --make -threaded display.hs
	cabal exec ghc -- --make -threaded prompt.hs

.PHONY: clean
clean:
	-rm -f *.o *.hi
	-rm -f display prompt

=== debian/changelog ===
haskell-zeromq4-haskell (0.8.0-4) unstable; urgency=medium

  * Declare compliance with Debian policy 4.7.0
  * Sourceful upload for GHC 9.6

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 05 Oct 2024 21:21:28 +0300

haskell-zeromq4-haskell (0.8.0-3) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.2
  * Sourceful upload for GHC 9.4

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 13 Sep 2023 13:39:16 +0300

haskell-zeromq4-haskell (0.8.0-2) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.1
  * Sourceful upload for GHC 9.0.2

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Tue, 19 Jul 2022 11:10:13 +0300

haskell-zeromq4-haskell (0.8.0-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sat, 30 May 2020 18:06:01 -0400

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  cdbs,
  debhelper (>= 10),
- ghc (>= 8),
+ ghc (>= 9.4),
  ghc-prof,
  haskell-devscripts (>= 0.13),
  libghc-async-dev (<< 3.0),
@@ -32,7 +32,7 @@
  libghc-monad-control-doc,
  libghc-semigroups-doc,
  libghc-transformers-base-doc,
-Standards-Version: 4.1.4
+Standards-Version: 4.7.0
 Homepage: https://gitlab.com/twittner/zeromq-haskell/
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-zeromq4-haskell
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-zeromq4-haskell]

=== debian/watch ===
version=3
https://hackage.haskell.org/package/zeromq4-haskell/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
